# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

%define _disable_ld_no_undefined 1

Summary:	Accelerated open source driver for NVIDIA cards
Name:		x11-driver-video-nouveau
Version:	1.0.10
Release:	3
License:	MIT
Group:		System/X11
Url:		http://nouveau.freedesktop.org/
Source0:	http://xorg.freedesktop.org/archive/individual/driver/xf86-video-nouveau-%{version}.tar.bz2
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(udev) >= 186
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	libdrm-common
Requires:	kmod(nouveau)
Requires:	udev
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
The nouveau project aims to build high-quality, open source drivers
for NVIDIA cards.

%files
%{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau*

#----------------------------------------------------------------------------

%prep
%setup -q -n xf86-video-nouveau-%{version}
[ -e autogen.sh ] && ./autogen.sh

%build
%configure2_5x \
	--disable-dependency-tracking
%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.0.10-3
+ Revision: c6793ba
- MassBuild#440: Increase release tag

* Thu May 29 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.10-2
+ Revision: 3b00608
- Disabled immediate symbol resolution for ld (it might have broken Xorg)

* Wed May 07 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.10-1
+ Revision: 017e00a
- Updated to version 1.0.10
- Also, removed the patches which are now in the upstream.

* Sat Nov 02 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.9-2
+ Revision: dcf3c2c
- LOG Spec cleanup

* Fri Nov 01 2013 Alex Burmashev <alex.burmashev@rosalab.ru> 1.0.9-1
+ Revision: be82081
- sync to cooker

* Tue Jul 30 2013 akdengi <kazancas@mandriva.ru> 1.0.9-1
+ Revision: 2fc276d
- disable patch0

* Tue Jul 30 2013 akdengi <kazancas@mandriva.ru> 1.0.9-1
+ Revision: 2e2bd65
- New version 1.0.9

* Mon Jun 17 2013 akdengi <kazancas@mandriva.ru> 1.0.8-1
+ Revision: 6b7e3dc
- New version 1.0.8

* Fri Jan 11 2013 akdengi <kazancas@mandriva.ru> 1.0.6-1
+ Revision: 6eb5bae
- update to 1.0.6

* Mon Nov 12 2012 akdengi <kazancas@mandriva.ru> 1.0.4-1
+ Revision: c61f468
- LOG 1.0.4. Fix URL path

* Mon Nov 12 2012 akdengi <kazancas@mandriva.ru> 1.0.4-1
+ Revision: bcf40ab
- LOG 1.0.4. Fix URL path

* Wed Oct 31 2012 akdengi <kazancas@mandriva.ru> 1.0.3-1
+ Revision: 4205581
- LOF -new version 1.0.3

* Wed Oct 31 2012 Alexander Kazancev <kazancas@gmail.com> 1.0.2-2
+ Revision: 5759f7c
- LOG - Rebuild for xorg-server 1.13

* Mon Sep 17 2012 Alexander Khryukin <alexander@mezon.ru> 1.0.2-1
+ Revision: 0dfab56
- disable_libdrm_version_check.patch

* Mon Sep 17 2012 Alexander Khryukin <alexander@mezon.ru> 1.0.2-1
+ Revision: 0c3604b
- disable_libdrm_version_check.patch

* Mon Sep 17 2012 Alexander Khryukin <alexander@mezon.ru> 1.0.2-1
+ Revision: f96249a
- autoreconf -v --install

* Mon Sep 17 2012 Alexander Khryukin <alexander@mezon.ru> 1.0.2-1
+ Revision: 7e9c287
- --disable-dependency-tracking

* Sun Sep 16 2012 Alexander Khryukin <alexander@mezon.ru> 1.0.2-1
+ Revision: 05629fe
- version update 1.0.2

* Fri Sep 14 2012 root <root@localhost.localdomain> 0.0.16-0.20120322.3
+ Revision: 0da83a8
- revert

* Mon Sep 10 2012 Alexander Khryukin <alexander@mezon.ru> 1.0.1-2
+ Revision: 32198c1
- version update 1.0.1

* Tue Aug 07 2012 Rosa <rosa@rosa-build.rosalab.ru> 1.0.1-2
+ Revision: 73c9cea
- Automatic import for version 1.0.1-2

* Tue Aug 07 2012 Alexander Kazancev <kazancas@mandriva.ru> 0.0.16-0.20120322.3
+ Revision: d26cfdb
- LOG - Drop .la files

* Thu Jun 21 2012 Rosa <rosa@rosa-build.rosalab.ru> 1.0.1-1
+ Revision: 6ffbfef
- Automatic import for version 1.0.1

* Sun Apr 29 2012 Alexander Kazancev <kazancas@mandriva.ru> 0.0.16-0.20120322.3
+ Revision: 2551a5e
- up version and clear spec

* Sun Apr 29 2012 akdengi <kazancas@mandriva.ru> 0.0.16-0.20120322.1
+ Revision: 304e666
- revert to 20120322

* Sun Apr 29 2012 akdengi <kazancas@mandriva.ru> 0.0.16-0.20120426.1
+ Revision: 11bf1ca
- fix build

* Sun Apr 29 2012 akdengi <kazancas@mandriva.ru> 0.0.16-0.20120426.1
+ Revision: b56475c
- fix configure.ac

* Sun Apr 29 2012 akdengi <kazancas@mandriva.ru> 0.0.16-0.20120426.1
+ Revision: 31c3766
- - snapshot from 20120426

* Sun Apr 29 2012 akdengi <kazancas@mandriva.ru> 0.0.16-0.20120426.1
+ Revision: 482549c
- - snapshot from 20120426

* Sun Apr 15 2012 Alexander Kazancev <kazancas@mandriva.ru> 0.0.16-0.20120322.2
+ Revision: e5c637b
- Updated x11-driver-video-nouveau.spec

* Sat Apr 07 2012 akdengi <kazancas@mandriva.ru> 0.0.16-0.20120322.1
+ Revision: 89da020
- update to shapshot from 20120322

* Tue Mar 13 2012 akdengi <kazancas@mandriva.ru> 0.0.16-0.20111203.1
+ Revision: a8a6c2a
- - new snapshot

* Thu Feb 16 2012 root <root@build-client_i586-2r.rosalab.ru> 0.0.16-0.20110613.3
+ Revision: f4861cc
- ABF:auto increment release

* Wed Feb 01 2012 Rosa <rosa@rosa-build.rosalab.ru> 0.0.16-0.20110613.3
+ Revision: 91f17ca
- Automatic import for version 0.0.16


